PETSc version 3.15.5
Fix/Edit manual page

# MatLMVMIsAllocated

Returns a boolean flag that shows whether the necessary data structures for the underlying matrix is allocated.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMIsAllocated(Mat B, PetscBool *flg)

### Input Parameters

| B | - An LMVM-type matrix

### Output Parameter

| flg | - PETSC_TRUE if allocated, PETSC_FALSE otherwise

### See Also

MatLMVMAllocate(), MatLMVMReset()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages